﻿using System;
using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "FastLine 클래스 : TreatNulls 속성을 사용해 NULL 값 처리하기";

            this.tChart.Panel.Pen = new ChartPen(Color.Black);

            double?[] xValueArray = new double?[200];
            double?[] yValueArray = new double?[200];

            Random random = new Random();

            for(int i = 0; i < 200; i++)
            {
                xValueArray[i] = i;

                if(i % 4 == 0)
                {
                    yValueArray[i] = null;
                }
                else
                {
                    yValueArray[i] = random.NextDouble();
                }
            }

            FastLine fastLine = new FastLine(this.tChart.Chart);

            fastLine.TreatNulls = TreatNullsStyle.DoNotPaint;

            fastLine.Add(xValueArray, yValueArray);
        }

        #endregion
    }
}